function init = initialState(width, density)
% INITIALSTATE    Generate a random initial state of a 1D cellular automata. 
%                 Proportion of active cells depends on the parameter 
%                 "density".
%
%    Author:
%       Thomas Schaffter, PhD student
%       Thomas.Schaffter@epfl.ch
%       http://lis.epfl.ch/161219
%       Laboratory of Intelligent Systems (LIS)
%       Ecole Polytechnique Federale de Lausanne (EPFL)
%       CH-Suisse
%
%    Last modification: 3 nov 2009

init = rand(1,width)<density;